# Get a reader

This endpoint is used for retrieving a Reader. Readers represent the Embedded Payments Reader at the physical location. The Reader ID is required to create a Reader Connection to initialise the Tyro Embedded Payments SDK

Endpoint: GET /tap-to-pay/merchants/{merchantId}/readers/{readerId}
Version: 1.0
Security: JWT

## Path parameters:

  - `merchantId` (string, required)
    The Merchant ID associated with the reader
    Example: 98765

  - `readerId` (string, required)
    The Reader ID
    Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"

## Header parameters:

  - `Authorization` (string, required)

## Response 200 fields (application/json):

  - `readerId` (string)
    The ID of the reader as specified by the Tyro Connect system. This value will be required when creating an Embedded Payments connection.
    Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"

  - `locationId` (string)
    The ID of the location as specified by the Tyro Connect system
    Example: "tc-exampleshop-3000"

  - `name` (string)
    The name of the reader, a readable identifier for the reader.
    Example: "Reader 1 - Example Shop Sydney"

  - `status` (string)
    Status of the ReaderID
    Enum: "ACTIVE", "SUSPENDED", "PENDING_CREATION", "DEACTIVATED"

  - `caid` (string)
    a secondary id which represents the location


## Response 403 fields

## Response 404 fields
